﻿public class Order
{
    public int Id { get; private set; }
    public DateTime Date { get; private set; } 
    public Status Status { get; private set; }
    public int ClientId { get; private set; }
    public IEnumerable<ModelOrder> ModelOrder { get; private set; } = [];

    public static Order CreateOperation(int id,DateTime date, Status status, int clientId, IEnumerable<ModelOrder> modelOrder)
    {
        return new Order
        {
            Id = id,
            Date = DateTime.Now,
            Status = status,
            ClientId = clientId,
            ModelOrder = modelOrder

        };
    }
   
}