﻿using Microsoft.VisualBasic.FileIO;

public class Model
{
    public int Id { get; private set; }
    public ModelType ModelType { get; private set; }
    public double Price { get; private set; }
    public IEnumerable<FabricModel> FabricModel { get;private set;} = [];

    public static Model CreateEntity(int id, ModelType modelType,double price, IEnumerable<FabricModel> fabricModel)
    {
        return new Model
        {
            Id = id,
            ModelType = modelType,
            Price = price,
            FabricModel = fabricModel

        };
    }

    public void CreateList(IEnumerable<FabricModel> fabricModel)
    {
        if (fabricModel != null)
        {
            FabricModel = fabricModel;
        }
    }
}
